import request from '@/utils/request'

import { DEVICE_BOOT } from '@/utils/constantRequest'

const MAPPING_PATH = DEVICE_BOOT + '/line'

/**
 * 查询终端详细信息
 */
export const getDeviceDetailData = (id: string) => {
    return request({
        url: MAPPING_PATH + '/getDeviceDetailData?id=' + id,
        method: 'POST'
    })
}

/**
 * 查询监测点详细信息
 */
export const getLineDetailData = (id: string) => {
    return request({
        url: MAPPING_PATH + '/getLineDetailData?id=' + id,
        method: 'POST'
    })
}

export const getSubstationSelect = () => {
    return request({
        url: 'device-boot/substation/getSubstationSelect',
        method: 'get'
    })
}
// 查询变电站详情
export const getSubstationSelectLine = (id: string) => {
    return request({
        url: '/device-boot/line/getSubstationData',
        method: 'post',
        data: [id]
    })
}
// 查询监测点
export const getLineOverLimitData = (id: string) => {
    return request({
        url: '/device-boot/line/getLineOverLimitData?id=' + id,
        method: 'post'
    })
}

//导出数据总览
export function dataVerifyExcel(params: any) {
    return request({
        url: '/device-boot/dataVerify/dataVerifyExcel',
        method: 'get',
        params,
        responseType: 'blob'
    })
}